## libzim 8.2.1

=== meson_options.txt ===
option('CLUSTER_CACHE_SIZE', type : 'string', value : '16',
  description : 'set cluster cache size to number (default:16)')
option('DIRENT_CACHE_SIZE', type : 'string', value : '512',
  description : 'set dirent cache size to number (default:512)')
option('DIRENT_LOOKUP_CACHE_SIZE', type : 'string', value : '1024',
  description : 'set dirent lookup cache size to number (default:1024)')
option('LZMA_MEMORY_SIZE', type : 'string', value : '128',
  description : 'set lzma uncompress memory in MB (default:128)')
option('USE_MMAP', type: 'boolean', value: true,
  description: 'Use mmap to avoid copy from file. (default:true, always false on windows)')
option('USE_BUFFER_HEADER', type: 'boolean', value: true,
  description: '''Copy (or use mmap) header index buffers. (default:true)
Header index are used to access articles, having them in memory can improve access speed but on low memory devices it may use to many memory.
If false, we directly read the index in the file at each article access.''')
option('static-linkage', type : 'boolean', value : false,
  description : 'Link statically with the dependencies.')
option('doc', type : 'boolean', value : false,
  description : 'Build the documentations.')
option('examples', type : 'boolean', value : true,
  description : 'Build the examples.')
option('with_xapian', type : 'boolean', value: true,
  description: 'Build libzim with xapian support')
option('test_data_dir', type : 'string', value: '',
  description: 'Where the test data are. If not set, meson will use a internal directory in  the build dir. If you want to download the data in the specified directory you can use `meson download_test_data`. As a special value, you can pass `none` to deactivate test using external test data.')

=== docs/requirements.txt ===
breathe
exhale
sphinx

=== debian/changelog ===
libzim (8.2.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Kunal Mehta <legoktm@debian.org>  Mon, 11 Sep 2023 17:18:11 +0530

libzim (8.2.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Fri, 08 Sep 2023 17:18:12 +0530

libzim (8.2.1-1) experimental; urgency=medium

  * New upstream version 8.2.1
  * Rename source package to libzim (Closes: #1032771)
  * Add patch to build with c++14 (Closes: #1041029)

 -- Kunal Mehta <legoktm@debian.org>  Fri, 21 Jul 2023 21:50:46 -0400

zimlib (8.1.1-0.2) unstable; urgency=high

  * Non-maintainer upload
  * Add autopkgtest (in order to migrate to testing to let python-libzim
    migrate, see #1028780)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Apr 2023 18:51:25 +0200

zimlib (8.1.1-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 8.1.1 (Closes: #1028780)

 -- Bastian Germann <bage@debian.org>  Wed, 29 Mar 2023 12:57:28 +0200

zimlib (8.1.0+really8.1.0-1) experimental; urgency=medium

  * New upstream version 8.1.0 (really)

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 Jan 2023 22:50:35 -0500

zimlib (8.1.0+really8.0.0-1) unstable; urgency=medium

  * Revert back to 8.0.0 pending proper transition.
    (Closes: #1027565, #1028495)

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 Jan 2023 22:05:31 -0500

zimlib (8.1.0-1) unstable; urgency=medium

  * New upstream version 8.1.0
  * Update d/watch based on uscan(1)

 -- Kunal Mehta <legoktm@debian.org>  Sat, 31 Dec 2022 16:11:08 -0800

zimlib (8.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop unnecessary Conflicts+Replaces on old library
    versions (Closes: #1020214)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Nov 2022 18:21:21 +0100

zimlib (8.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Sun, 28 Aug 2022 13:58:55 -0400

zimlib (8.0.0-1) experimental; urgency=medium

  * New upstream version 8.0.0

 -- Kunal Mehta <legoktm@debian.org>  Fri, 19 Aug 2022 21:25:05 -0400

zimlib (7.2.2-1) unstable; urgency=medium

  * New upstream version 7.2.2

 -- Kunal Mehta <legoktm@debian.org>  Mon, 04 Jul 2022 01:17:28 -0700

zimlib (7.2.1-1) unstable; urgency=medium

  * New upstream version 7.2.1

 -- Kunal Mehta <legoktm@debian.org>  Wed, 11 May 2022 00:34:28 -0400

zimlib (7.2.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Kunal Mehta <legoktm@debian.org>  Wed, 02 Feb 2022 20:07:59 -0800

zimlib (7.2.0-1) experimental; urgency=medium

  * New upstream version 7.2.0

 -- Kunal Mehta <legoktm@debian.org>  Wed, 26 Jan 2022 23:35:39 -0800

zimlib (7.1.0-1) experimental; urgency=medium

  [ Kunal Mehta ]
  * New upstream version 7.1.0

  [ Jonas Smedegaard ]
  * remove myself as maintainer, passing on to Kunal Mehta

 -- Kunal Mehta <legoktm@debian.org>  Sat, 08 Jan 2022 18:04:49 -0800

zimlib (6.3.2-1) unstable; urgency=medium

  * New upstream version 6.3.2

 -- Kunal Mehta <legoktm@debian.org>  Fri, 20 Aug 2021 23:18:58 -0700

zimlib (6.3.0-2) unstable; urgency=medium

  * Break python3-libzim (<< 0.0.3-2), see #975994

 -- Kunal Mehta <legoktm@debian.org>  Wed, 02 Dec 2020 18:30:24 -0800

zimlib (6.3.0-1) unstable; urgency=medium

  * New upstream version 6.3.0
  * Drop zlib1g-dev dependency

 -- Kunal Mehta <legoktm@debian.org>  Tue, 17 Nov 2020 13:04:43 -0800

zimlib (6.2.2-1) unstable; urgency=medium

  * New upstream version 6.2.2
  * Drop symbols file (Closes: #969196, #924572)

 -- Kunal Mehta <legoktm@debian.org>  Sat, 05 Sep 2020 02:29:25 -0700

zimlib (6.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Confirm symbols for amd64 arm64 armel armhf hppa i386 ia64 m68k
    mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32

 -- Kunal Mehta <legoktm@debian.org>  Fri, 28 Aug 2020 00:35:20 -0700

zimlib (6.2.0-1) experimental; urgency=medium

  * New upstream version 6.2.0

 -- Kunal Mehta <legoktm@debian.org>  Thu, 27 Aug 2020 14:50:01 -0700

zimlib (6.1.8-2) unstable; urgency=medium

  * Upload to unstable
  * Confirm arm64 armel armhf hppa i386 m68k powerpc ppc64 ppc64el
    riscv64 s390x sparc64 x32 symbols

 -- Kunal Mehta <legoktm@debian.org>  Fri, 17 Jul 2020 14:37:43 -0700

zimlib (6.1.8-1) experimental; urgency=medium

  * New upstream version 6.1.8
  * Switch to debhelper compat 13, bump test timeout through `meson test`
  * Update d/copyright
  * Update libzim6.symbols

 -- Kunal Mehta <legoktm@debian.org>  Fri, 17 Jul 2020 00:47:57 -0700

zimlib (6.1.7-2) unstable; urgency=medium

  * Upload to unstable
  * Bump test timeout to 300 seconds
  * Confirm alpha arm64 armel armhf hppa i386 ia64 m68k powerpc ppc64
    ppc64el riscv64 s390x sh4 x32 symbols

 -- Kunal Mehta <legoktm@debian.org>  Tue, 07 Jul 2020 16:38:35 -0700

zimlib (6.1.7-1) experimental; urgency=medium

  * New upstream version 6.1.7
  * Increase test timeout for slower architectures (Closes: #964196)

 -- Kunal Mehta <legoktm@debian.org>  Sat, 04 Jul 2020 02:14:19 -0700

zimlib (6.1.3-4) unstable; urgency=medium

  * Upload to unstable.

 -- Kunal Mehta <legoktm@debian.org>  Thu, 02 Jul 2020 14:15:08 -0700

zimlib (6.1.3-3) experimental; urgency=medium

  * Update symbols for libicu67
  * Remove Vasudev Kamath from uploaders, per request

 -- Kunal Mehta <legoktm@debian.org>  Thu, 11 Jun 2020 01:51:48 -0700

zimlib (6.1.3-2) experimental; urgency=medium

  * Have libzim-dev require libzstd-dev
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Update symbols for alpha amd64 arm64 armel armhf hppa i386
    ia64 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x
    sh4 sparc64 x32

 -- Kunal Mehta <legoktm@debian.org>  Wed, 03 Jun 2020 02:49:21 -0700

zimlib (6.1.3-1) experimental; urgency=medium

  * New upstream version 6.1.3


=== debian/control ===
Source: libzim
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
 liblzma-dev,
 libicu-dev,
 libxapian-dev,
 libzstd-dev,
 libgtest-dev,
 meson,
 ninja-build,
 pkg-config
Maintainer: Kunal Mehta <legoktm@debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Homepage: https://www.openzim.org/wiki/Libzim
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/libzim.git
Vcs-Browser: https://salsa.debian.org/debian/libzim
Rules-Requires-Root: no

Package: libzim8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: python3-libzim (<< 0.0.3-2)
Description: library implementation of ZIM specifications
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 libzim is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 Features of libzim are:
  * Native, coded in C++
  * Extremely fast
  * Minimal footprint
  * Minimal dependencies
  * Portable on most OS (Windows, Linux, Mac OS X)

Package: libzim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libzim8 (= ${binary:Version}),
 liblzma-dev,
 libxapian-dev,
 libicu-dev,
 libzstd-dev
Description: library implementation of ZIM specifications (development)
 ZIM (Zeno IMproved) is an open file format for storing the contents of
 wiki for offline usage. This file format is primarily focused on
 providing the contents of Wikipedia and Wikimedia projects for offline
 use.
 .
 libzim is the standard implementation of ZIM specification, which
 implements the read and write method for ZIM files.
 .
 ZIM is a file format created with focus on extracting and encoding data
 from Mediawiki for offline use.
 .
 This package contains development files.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Skip tests that require zim-testing-data for now
override_dh_auto_configure:
	dh_auto_configure -- -Dtest_data_dir=none

# Skip some extremely memory-intensive tests
export SKIP_BIG_MEMORY_TEST=1
%:
	dh $@ --buildsystem=meson

# Increase test timeout
override_dh_auto_test:
	dh_auto_test -- -t 3

## libzim 9.2.3

=== meson_options.txt ===
--- 
+++ 
@@ -18,7 +18,11 @@
   description : 'Build the documentations.')
 option('examples', type : 'boolean', value : true,
   description : 'Build the examples.')
+option('tests', type : 'boolean', value : true,
+  description : 'Build the tests.')
 option('with_xapian', type : 'boolean', value: true,
   description: 'Build libzim with xapian support')
+option('with_xapian_fuller', type: 'boolean', value: true,
+  description: 'Create xapian archive using "FULLER" compaction.\nThis is a workaround for a compilation issue on Windows. This will be removed soon')
 option('test_data_dir', type : 'string', value: '',
   description: 'Where the test data are. If not set, meson will use a internal directory in  the build dir. If you want to download the data in the specified directory you can use `meson download_test_data`. As a special value, you can pass `none` to deactivate test using external test data.')

=== debian/changelog ===
libzim (9.2.3-1) experimental; urgency=medium

  * New upstream version 9.2.3

 -- Kunal Mehta <legoktm@debian.org>  Sat, 07 Sep 2024 01:45:57 -0400

libzim (9.2.2-1) experimental; urgency=medium

  * New upstream version 9.2.2

 -- Kunal Mehta <legoktm@debian.org>  Tue, 27 Aug 2024 00:37:17 -0400

libzim (9.1.0-1) experimental; urgency=medium

  * New upstream version 9.1.0

 -- Kunal Mehta <legoktm@debian.org>  Sat, 23 Mar 2024 22:44:57 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/libzim
 Rules-Requires-Root: no
 
-Package: libzim8
+Package: libzim9
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -49,7 +49,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libzim8 (= ${binary:Version}),
+ libzim9 (= ${binary:Version}),
  liblzma-dev,
  libxapian-dev,
  libicu-dev,
